Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter
  Definition Classes
    nsc
-  package jline
  Definition Classes
    interpreter
-  package shell
  Definition Classes
    interpreter
- AbstractOrMissingHandler
- CompletionCandidate
- ExprTyper
- IMain
- ImportContextPreamble
- Imports
- InteractiveReader
- MemberHandlers
- NamedParam
- NamedParamClass
- NamedParamCreator
- Naming
- Phased
- Power
- PresentationCompilation
- PresentationCompilationResult
- Repl
- ReplCore
- ReplDir
- ReplGlobal
- ReplOutput
- ReplReporter
- ReplRequest
- ReplStrings
- ReplVals
- Results
- ScriptedInterpreter
- ScriptedRepl
- StdReplTags
- StdReplVals
- TokenData
- {{

c

scala.tools.nsc.interpreter

# Power

###

#### class Power[ReplValsImpl <: ReplVals] extends AnyRef

A class for methods to be injected into the intp in power mode.

Source
  Power.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Power
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Power(intp: IMain, replVals: ReplValsImpl)(implicit arg0: reflect.api.JavaUniverse.TypeTag[ReplValsImpl], arg1: ClassTag[ReplValsImpl])

### Type Members

1.  trait Implicits1 extends AnyRef
2.  trait Implicits2 extends Implicits1
3.  class InternalInfo[T] extends AnyRef

   Todos...

   Todos... translate tag type arguments into applied types customizable symbol filter (had to hardcode no-spec to reduce noise)

4.  class InternalInfoWrapper[T] extends AnyRef
5.  trait LowPriorityInternalInfo extends AnyRef
6.  trait LowPriorityInternalInfoWrapper extends AnyRef

   Now dealing with the problem of accidentally calling a method on Type when you're holding a Symbol and seeing the Symbol converted to the type of Symbol rather than the type of the thing represented by the symbol, by only implicitly installing one method, "?", and the rest of the conveniences exist on that wrapper.

7.  trait LowPriorityPrettifier extends AnyRef
8.  class MultiPrettifierClass[T] extends PrettifierClass[T]
9.  class PackageSlurper extends SymSlurper
10.  trait Prettifier[T] extends AnyRef
11.  abstract class PrettifierClass[T] extends AnyRef
12.  trait ReplUtilities extends AnyRef
13.  class RichInputStream extends AnyRef
14.  class RichReplString extends AnyRef
15.  class RichReplURL extends AnyRef
16.  class SinglePrettifierClass[T] extends PrettifierClass[T]
17.  abstract class SymSlurper extends AnyRef

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Power[ReplValsImpl] toany2stringadd[Power[ReplValsImpl]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Power[ReplValsImpl], B)
   Implicit
     This member is added by an implicit conversion from Power[ReplValsImpl] toArrowAssoc[Power[ReplValsImpl]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def banner: String
8.  def classic: String
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  def ensuring(cond: (Power[ReplValsImpl]) => Boolean, msg: => Any): Power[ReplValsImpl]
    Implicit
      This member is added by an implicit conversion from Power[ReplValsImpl] toEnsuring[Power[ReplValsImpl]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: (Power[ReplValsImpl]) => Boolean): Power[ReplValsImpl]
    Implicit
      This member is added by an implicit conversion from Power[ReplValsImpl] toEnsuring[Power[ReplValsImpl]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean, msg: => Any): Power[ReplValsImpl]
    Implicit
      This member is added by an implicit conversion from Power[ReplValsImpl] toEnsuring[Power[ReplValsImpl]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean): Power[ReplValsImpl]
    Implicit
      This member is added by an implicit conversion from Power[ReplValsImpl] toEnsuring[Power[ReplValsImpl]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Power[ReplValsImpl] toStringFormat[Power[ReplValsImpl]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
18.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  val initImports: collection.immutable.List[String]
21.  val intp: IMain
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  lazy val phased: Phased
27.  lazy val rutil: ReplUtilities
28.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      Power → AnyRef → Any
30.  def trees(code: String): List[Global.Tree]
31.  def unit(code: String): Global.CompilationUnit
32.  def unleash(): Unit

    Quietly starts up power mode and runs whatever is in init.

33.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
34.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
36.  object InternalInfo extends LowPriorityInternalInfo
37.  object Prettifier extends LowPriorityPrettifier
38.  object StringPrettifier extends Prettifier[String]

### Deprecated Value Members

1.  def →[B](y: B): (Power[ReplValsImpl], B)
   Implicit
     This member is added by an implicit conversion from Power[ReplValsImpl] toArrowAssoc[Power[ReplValsImpl]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromPower[ReplValsImpl] to any2stringadd[Power[ReplValsImpl]]

### Inherited by implicit conversion StringFormat fromPower[ReplValsImpl] to StringFormat[Power[ReplValsImpl]]

### Inherited by implicit conversion Ensuring fromPower[ReplValsImpl] to Ensuring[Power[ReplValsImpl]]

### Inherited by implicit conversion ArrowAssoc fromPower[ReplValsImpl] to ArrowAssoc[Power[ReplValsImpl]]

### Ungrouped